| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Static Public Member Functions | List of all members
OgreBites::WindowEventUtilities Class Reference

Utility class to handle Window Messages. More...

`#include <OgreWindowEventUtilities.h>`

## Static Public Member Functions
static void | _addRenderWindow (Ogre::RenderWindow *window)
| More...
static void | _removeRenderWindow (Ogre::RenderWindow *window)
| More...
static void | addWindowEventListener (Ogre::RenderWindow *window, WindowEventListener *listener)
| More...
static void | messagePump ()
| Call this once per frame. More...
static void | removeWindowEventListener (Ogre::RenderWindow *window, WindowEventListener *listener)
| More...

## Detailed Description

Utility class to handle Window Messages.

This only provides a minimal implementation for moving/ resizing windows. For input handling and proper platform integration rather use SDL2/ Qt/ whatever.

See also
  ApplicationContext

## Member Function Documentation

## ◆ messagePump()

static void OgreBites::WindowEventUtilities::messagePump | ( |  | ) |
| static

Call this once per frame.

This will update all registered RenderWindows.

## ◆ addWindowEventListener()

static void OgreBites::WindowEventUtilities::addWindowEventListener | ( | Ogre::RenderWindow * | window,
|  | WindowEventListener * | listener
| ) |  |
| static

Remarks
  Add a listener to listen to renderwindow events (multiple listener's per renderwindow is fine) The same listener can listen to multiple windows, as the Window Pointer is sent along with any messages.

Parameters

  window | The RenderWindow you are interested in monitoring
  listener | Your callback listener

## ◆ removeWindowEventListener()

static void OgreBites::WindowEventUtilities::removeWindowEventListener | ( | Ogre::RenderWindow * | window,
|  | WindowEventListener * | listener
| ) |  |
| static

Remarks
  Remove previously added listener

Parameters

  window | The RenderWindow you registered with
  listener | The listener registered

## ◆ _addRenderWindow()

static void OgreBites::WindowEventUtilities::_addRenderWindow | ( | Ogre::RenderWindow * | window | ) |
| static

Remarks
  Call upon creation of Ogre windows. You are free to add your external windows here too if needed.

Parameters

  window | The RenderWindow to monitor

## ◆ _removeRenderWindow()

static void OgreBites::WindowEventUtilities::_removeRenderWindow | ( | Ogre::RenderWindow * | window | ) |
| static

Remarks
  Called upon deletion of previously registered windows.

Parameters

  window | The RenderWindow to remove from list

The documentation for this class was generated from the following file:

- OgreWindowEventUtilities.h